Skip to main content
GET
/
cms
/
types
/
v1
/
{type_id}
cURL
curl --request GET \
  --url https://api.mottostreaming.com/cms/types/v1/{type_id} \
  --header 'Authorization: Bearer <token>'
{
  "type": {
    "project_id": "<string>",
    "name": "<string>",
    "id": "<string>",
    "description": "<string>",
    "field_groups": [
      {
        "title": "<string>",
        "fields": [
          {
            "id": "<string>",
            "name": "<string>",
            "description": "<string>",
            "validations": {
              "count": {
                "min": "<string>",
                "max": "<string>"
              },
              "length": {
                "min": "<string>",
                "max": "<string>"
              },
              "range": {
                "start": "<unknown>",
                "exclude_start": true,
                "end": "<unknown>",
                "exclude_end": true
              },
              "in": {
                "values": [
                  "<unknown>"
                ]
              },
              "link_type": {
                "type_ids": [
                  "<string>"
                ],
                "additional_fields": [
                  "<string>"
                ],
                "editor_filter": {}
              },
              "asset": {
                "types": [
                  "<string>"
                ]
              }
            },
            "default_value": "<unknown>"
          }
        ]
      }
    ],
    "disabled": true,
    "settings": {
      "allow_following": true,
      "allow_push_notifications": true
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

type_id
string
required

Query Parameters

base_type
enum<string>
required
Available options:
BASE_TYPE_UNSPECIFIED,
BASE_TYPE_EVENT,
BASE_TYPE_CREATIVE_WORK,
BASE_TYPE_ENTITY
project_id
string
required

Response

OK

type
object